---
title: BlobEvent.BlobEvent()
slug: Web/API/BlobEvent/BlobEvent
tags:
  - API
  - BlobEvent
  - Constructor
  - DOM
  - DOM Reference
  - Experimental
  - Media Stream Encoding
  - Reference
---
<p>{{APIRef("Media Capture and Streams")}}{{seeCompatTable}}</p>

<p>The <code><strong>BlobEvent()</strong></code> constructor returns a newly created {{domxref("BlobEvent")}} object with an associated {{domxref("Blob")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>blobEvent</em> = new BlobEvent({data: <em>aSpecificBlob</em>}[, timecode]);
</pre>

<h3 id="Arguments">Arguments</h3>

<p><em>The <code>BlobEvent()</code></em><em> constructor also inherits arguments from {{domxref("Event.Event", "Event()")}}.</em></p>

<dl>
 <dt><code>data</code></dt>
 <dd>Is a {{domxref("Blob")}} associated with the event.</dd>
 <dt><code>timecode</code> {{optional_inline}}</dt>
 <dd>A {{domxref("DOMHighResTimeStamp")}} to be used in initializing the blob event.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording', '#dom-blobevent-blobevent', 'BlobEvent: BlobEvent')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BlobEvent.BlobEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("BlobEvent")}} interface it belongs to.</li>
</ul>

